@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;200;300;400;500;600;700;800;900&display=swap');

.project-roboto-500-normal-17 {
    font-family: Roboto;
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    line-height: 20px;
    color: #1a173f;
}

.project-header {
    display: flex;
    flex-direction: row;
    border-bottom: solid 1px #dedede;
    align-items: center;
}

.project-name {
    padding: 25px 20px;
}

.project-button {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    padding: 10px;
    gap: 10px;
}

.project-button a {
    margin: 0;
}

.project-button button.button-approve {
    margin: 10px 10px;
}

.project-name h2  {
    margin: 0;         /* Usunięcie domyślnych marginesów */
    padding: 0;        /* Usunięcie domyślnych odstępów */
    /*font-size: 1.75em;   !* Ustawienie rozmiaru czcionki na 100% *!*/
    /*font-weight: normal; !* Zmiana grubości czcionki na normalną *!*/
    /*line-height: normal; !* Resetowanie wysokości linii *!*/
    /*color: inherit;    !* Dziedziczenie koloru tekstu od rodzica *!*/
    /*font-family: inherit; !* Dziedziczenie rodziny czcionek od rodzica *!*/

    font-family: Roboto;
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    line-height: 20px;
    color: #1a173f;

    /*font-size: 1.75em; !* Około 28px przy założeniu bazowej wielkości 16px *!*/
    /*line-height: 1.3; !* Zwiększa odstępy między liniami dla lepszej czytelności *!*/
    /*margin: 1em 0; !* Marginesy dla oddzielenia nagłówka od reszty treści *!*/
}

.section-header-h2 {
    padding: 20px 10px;
    /*border-top: solid 1px gray;*/
    border-bottom: solid 1px gray;
}

.section-header-h2 h2 {
    margin: 0;         /* Usunięcie domyślnych marginesów */
    padding: 0;        /* Usunięcie domyślnych odstępów */
    /*font-size: 1.75em;   !* Ustawienie rozmiaru czcionki na 100% *!*/
    /*font-weight: normal; !* Zmiana grubości czcionki na normalną *!*/
    /*line-height: normal; !* Resetowanie wysokości linii *!*/
    /*color: inherit;    !* Dziedziczenie koloru tekstu od rodzica *!*/
    /*font-family: inherit; !* Dziedziczenie rodziny czcionek od rodzica *!*/

    font-family: Poppins;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 23px;
    color: #1a173f;

    /*font-size: 1.75em; !* Około 28px przy założeniu bazowej wielkości 16px *!*/
    /*line-height: 1.3; !* Zwiększa odstępy między liniami dla lepszej czytelności *!*/
    /*margin: 1em 0; !* Marginesy dla oddzielenia nagłówka od reszty treści *!*/
}

.project-body {
    padding: 0.5% 1%;
    display: flex;
    flex-direction: row;
}

.project-menu {
    padding-right: 10px;
    width: 25%;
}

.project-menu-block {
    display: flex;
    flex-direction: column;
}

.project-menu a {
    margin-top: 5px;
    color: #273ada;
    text-decoration: none;
    padding: 20px 20px;
    background-color: white;
    border: solid 1px #5867DD;
    border-radius: 1px;
    transition: background-color 0.3s;
}

.project-menu a:hover, .project-menu a:focus {
    margin-top: 5px;
    color: white;
    text-decoration: none;
    padding: 20px 20px;
    background-color: #5867DD;
    border-radius: 1px;
    transition: background-color 0.3s;
}

.project-menu a:hover > .menu-button-nonactive-span > .menu-svg-icon{
    transition: background-color 0.3s;
    fill: white;
}

.project-menu a.project-menu-button-active {
    margin-top: 5px;
    color: white;
    text-decoration: none;
    padding: 20px 20px;
    background-color: #5867DD;
    border-radius: 1px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

a.project-menu-button-active > svg {
    justify-content: right;
}

.menu-button-active-span, .menu-button-nonactive-span {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.menu-button-nonactive-span > .menu-svg-icon {
    width: 30px;
    height: 20px;
    display: inline-block; /* Ustawia jako element w linii */
    margin-right: 10px;
    fill: #5867DD;
}

.menu-button-active-span > .menu-svg-icon {
    width: 30px;
    height: 20px;
    display: inline-block; /* Ustawia jako element w linii */
    margin-right: 10px;
    fill: white;
}

.project-subpage {
    border-left: dotted 1px darkgray;
    padding: 0 10px;
    width: 75%;
}

.project-subpage-description {

}

.project-subpage-content {
    display: flex;
    flex-direction: column;
    /*border: solid 0px lightgrey;*/
    margin-top: 10px;
    /*box-shadow: 1px 1px 6px rgba(182, 181, 181, 0.6);*/
}

.project-subpage-content-small-form {
    display: flex;
    flex-direction: column;
    /*border: solid 0px lightgrey;*/
}

.project-subpage-content-part {
    padding-bottom: 30px;
    margin-bottom: 10px;
    box-shadow: 1px 1px 6px rgba(229, 228, 228, 0.6)
}

.project-subpage-content-cards {
    display: flex;
    flex-direction: column;
    border: solid 1px #dedede;
    border-radius: 2px;
    background-color: #ffffff;
    padding: 20px;
    box-shadow: 1px 1px 6px rgba(229, 228, 228, 0.6);
}

.content-project-box {
    /*border: solid 1px lightgrey;*/
    margin: 10px 0px;
    /*border: solid 1px #dedede;*/
    border-radius: 2px;
    background-color: #ffffff;
    padding: 20px;
    /*box-shadow: 1px 1px 6px rgba(229, 228, 228, 0.6);*/
}

.content-project-title {
    padding: 0px 10px 20px 10px;
    border-bottom: solid 1px #e0e0e0;
}

.content-project-title h3 {
    margin: 0;         /* Usunięcie domyślnych marginesów */
    padding: 0;        /* Usunięcie domyślnych odstępów */
    font-size: 1.35em;   /* Ustawienie rozmiaru czcionki na 100% */
    font-weight: bold; /* Zmiana grubości czcionki na normalną */
    line-height: normal; /* Resetowanie wysokości linii */
    color: #0b2579;    /* Dziedziczenie koloru tekstu od rodzica */
    font-family: inherit; /* Dziedziczenie rodziny czcionek od rodzica */
    font-style: normal;
}

.box-replaced-by-header h3 {
    margin: 0;         /* Usunięcie domyślnych marginesów */
    padding: 0;        /* Usunięcie domyślnych odstępów */
    font-size: 1.15em;   /* Ustawienie rozmiaru czcionki na 100% */
    font-weight: 400; /* Zmiana grubości czcionki na normalną */
    line-height: normal; /* Resetowanie wysokości linii */
    color: #1a173f;    /* Dziedziczenie koloru tekstu od rodzica */
    font-family: Poppins; /* Dziedziczenie rodziny czcionek od rodzica */
    font-style: normal;
}

.content-project-table {
    padding: 20px 10px;
}

.project-table-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 20px 0px 20px 20px;
}

.project-table-inside {
    width: auto;
}

.project-table-inside-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
}

.content-project-table td {
    border: 0px;
    border-right: solid 2px white;
}

.even-style {
    background-color: #f8f8f8; /* Kolor dla parzystych wierszy */
}

.odd-style {
    background-color: #ffffff; /* Kolor dla nieparzystych wierszy */
}

.row-title {
    padding-left: 20px;
    width: 20%;
    height: 100%;
}

.row-content {
    display: flex;
    align-items: center;
    padding-left: 40px;
    width: 80%;
}

.row-content-department {
    display: flex;
    flex-direction: column;
    width: 80%;
    padding-left: 40px;
}

.row-content-item {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    width: 80%;
}

.ajax-box {
    margin-top: 10px;
    /*padding: 10px;*/
    /*background-color: #f9f9f9;*/
    /*border: 1px solid #ddd;*/
    /*box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);*/
    transition: all 0.3s ease; /* Dodatkowy efekt przejścia */
}

.row-part-I {
    width: 400px;
}

.row-part-II {
    width: 150px;
}

.row-part-II-extended {
    width: 300px;
}

.inside-row-part-II {
    width: 150px;
}

.row-part-III {
    width: 150px;
}

.row-part-I, .row-part-II, .row-part-II-extended, .row-part-III {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.project-view-count {
    padding: 20px 15px 15px 15px;
}

.project-view-count-item {
    margin-bottom: 15px;
}

.project-view-buttons {
    display: flex;
    flex-direction: row;
    margin-left: 15px;
}

.project-view-buttons button {
    margin-right: 20px;
}

.project-view-count-item strong {
    font-size: 15px;
    /*font-weight: bold;*/
}

/*
    CARDS
*/

.tabs-1-static-item, .form-element {
    display: flex;
    flex-direction: row;
    padding: 20px 30px;
    border-bottom: 1px solid lightgrey;
}

.tabs-1-static-item-name, .form-label {
    display: flex;
    justify-content: right;
    align-items: center;
    padding-right: 20px;
    width: 350px;
    height: auto;
    font-weight: bold;
}

.longer-label {
    width: 600px;
}

.tabs-1-static-item-value, .form-input, .form-textarea {
    width: 850px;
}

.form-input-text input {
    font-family: Sans-Serif, Arial;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    width: 160px;
    height: 40px;
    background: white;  /* Usuwa tło */
    border: solid 1px #8986A4;  /* Usuwa obramowanie */
    border-radius: 3px; /* Usuwa zaokrąglenie rogów */
    padding: 0px 5px;  /* Usuwa wewnętrzne odstępy */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    text-align: center;
}

.form-textarea textarea {
    font-family: Sans-Serif, Arial;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    width: auto;
    height: auto;
    background: white;  /* Usuwa tło */
    border: solid 1px #8986A4;  /* Usuwa obramowanie */
    border-radius: 3px; /* Usuwa zaokrąglenie rogów */
    padding: 0px 5px;  /* Usuwa wewnętrzne odstępy */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
}

input:focus, textarea:focus, text:focus {
    border: solid 2px green;
}

.tabs-link-box {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid #ddd;
}

.tab-link, .tab-fundingPeriod-link {
    display: inline-block;
    padding: 14px 20px;
    text-decoration: none;
    color: #0e0e0e;
    background-color: #ecebeb;
    margin-right: 5px;
    border: 1px solid #ccc;
    border-bottom: 0px;
    border-radius: 5px 5px 0 0;
}

.tab-link:hover, .tab-fundingPeriod-link:hover {
    background-color: #ccc;
}

.tab-link.active, .tab-fundingPeriod-link.active {
    background-color: white; /* Zmiana koloru tła dla aktywnego linku */
    /*border-bottom: 1px solid white; !* Usunięcie dolnej krawędzi, aby pasowało do treści *!*/
}

.tab-content, .tab-fundingPeriod-content {
    display: none;
    padding: 20px;
    border: 1px solid #ddd;
    border-top: none;
}

.tab-content.active, .tab-fundingPeriod-content.active {
    display: block;
}

ul.details-list li {
    list-style-type: disc;
    margin-bottom: 10px;
}

/*!* Zmiana tła nagłówka *!*/
/*.ui-datepicker-calendar th {*/
/*    background-color: #20cb24;*/
/*    color: white;*/
/*}*/

/*!* Zmiana koloru przycisków nawigacyjnych *!*/
/*.ui-datepicker-prev, .ui-datepicker-next {*/
/*    background-color: #4CAF50;*/
/*    color: white;*/
/*}*/

/*!* Zmiana koloru wybranej daty *!*/
/*.ui-datepicker-calendar .ui-state-highlight {*/
/*    background-color: #FF5722;*/
/*    color: white;*/
/*}*/

/*!* Zmiana koloru dni w kalendarzu *!*/
/*.ui-datepicker-calendar td {*/
/*    color: #333;*/
/*}*/


.form-element-submit, .form-element-submit-without-padding {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
}

.form-element-submit {
    padding: 20px;
}

.form-element-submit-without-padding input {
    padding: 10px 15px;
    background: white;  /* Usuwa tło */
    border: solid 1px #23527c;  /* Usuwa obramowanie */
    border-bottom: solid 3px #23527c;
    border-radius: 3px; /* Usuwa zaokrąglenie rogów */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
}

.form-element-submit-without-padding input:hover {
    color: white;
    background-color: #23527c;  /* Usuwa obramowanie */
}

.project-create-cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
    padding: 20px;
}

.project-create-cards a {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px;
    border: solid 1px darkgreen;
    margin-right: 20px;
    color: black;
    text-decoration: none;
    border-radius: 5px;
    border-bottom: solid 2px darkgreen;
}

.project-create-cards a:hover {
    border: solid 1px darkgreen;
    color: white;
    border-bottom: solid 2px darkgreen;
    background-color: darkgreen;
}

svg.project-create-cards-icon {
    margin-right: 10px;
    width: 20px;
    height: 16px;
}

.project-create-cards a:hover > svg.project-create-cards-icon {
    fill: white;
}

.project-search-box-header h3 {
    margin: 0;         /* Usunięcie domyślnych marginesów */
    padding: 0;        /* Usunięcie domyślnych odstępów */
    font-size: 1.15em;   /* Ustawienie rozmiaru czcionki na 100% */
    font-weight: normal; /* Zmiana grubości czcionki na normalną */
    line-height: normal; /* Resetowanie wysokości linii */
    color: #000207;    /* Dziedziczenie koloru tekstu od rodzica */
    font-family: inherit; /* Dziedziczenie rodziny czcionek od rodzica */
    font-style: normal;
}

.project-search-box {
    display: flex;
    flex-direction: column;
}

.project-search-box-header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    border-top: solid 1px #e8e8e8;
    border-bottom: solid 1px #e8e8e8;
    padding: 20px 10px;
}

.project-search-box-filter {
    display: flex;
    flex-direction: row;
    padding: 30px 30px;
    border-bottom: solid 1px #e8e8e8;
}

.project-search-box-header img {
    margin: 0px 20px;
}

.search-form-group-elements {
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

.search-form-element {
margin-right: 30px;
}

.search-form-element-label {
    display: flex;
    height: 40px;
    align-items: center;
}

.search-form-element-input input, .search-form-element-select select, option {
    font-family: Sans-Serif, Arial;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    width: 260px;
    height: 40px;
    background: white;  /* Usuwa tło */
    border: solid 1px #8986A4;  /* Usuwa obramowanie */
    border-radius: 3px; /* Usuwa zaokrąglenie rogów */
    padding: 0px 5px;  /* Usuwa wewnętrzne odstępy */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
}

.search-form-group-buttons {
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

.search-form-element-button {
    display: flex;
    flex-direction: row;
    align-items: end;
}

.search-form-element-button-as {
    display: flex;
    flex-direction: row;
    align-items: end;
}

.search-button-clear-filter {
    /*background: #ececec;       !* Usuwa tło *!*/
    border-radius: 5px;       /* Usuwa zaokrąglenie rogów */
    border:solid 1px #23527c;
    border-bottom: solid 2px #23527c;
    padding: 10px 25px;             /* Usuwa wewnętrzne odstępy */
    margin: 0;              /* Usuwa marginesy */
    box-shadow: none;       /* Usuwa cień */
    /*outline: none;          !* Usuwa obrys przy fokusu *!*/
    appearance: none;       /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;    /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    color: black;
    font-family: Poppins;
    font-size: 14px;
    font-weight: 500;
    width: auto;
    height: 40px;
    letter-spacing: 1px;
}

.search-button-clear-filter:hover {
    background-color: #23527c;
    color: white;
}

.search-form-element-recordsPerPage {
    display: flex;
    flex-direction: row;
}

.paginator {
    border: solid 1px darkgrey;
    padding: 5px 20px;
    font-weight: 500;
}

.search-form-element-select-paginator select {
    font-family: Sans-Serif, Arial;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    width: auto;
    height: 40px;
    background: white;  /* Usuwa tło */
    border: solid 1px darkgrey;  /* Usuwa obramowanie */
    border-left: 0px;  /* Usuwa obramowanie */
    border-radius: 0px; /* Usuwa zaokrąglenie rogów */
    padding: 5px 20px;  /* Usuwa wewnętrzne odstępy */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
}

.project-list-box {
    padding: 20px 20px;
}

.project-link-green {
    padding: 5px 20px;
    border: solid 1px darkgreen;
    border-bottom: solid 2px darkgreen;
    text-decoration: none;
    color: black;
}

.project-link-green:hover {
    background-color: darkgreen;
    color: white;

}

.project-link-red {
    padding: 5px 20px;
    border: solid 1px darkred;
    border-bottom: solid 2px darkred;
    text-decoration: none;
    color: black;

}

.project-link-red:hover {
    background-color: darkred;
    color: white;
}

.project-list-tr td {
    padding: 10px;
    height: 40px;
}

.project-table-container {
    width: 100%;
    overflow: auto;
    padding: 5px;
    /*background-color: #1E347B;*/
    /*justify-content: left;*/
    /*align-items: center;*/
}

.psc-part-body-table {
    padding: 20px;
}

.beneficiaryCard-groupList {
    padding: 10px;
}

.beneficiaryCard-groupList-span {
    margin-left: 15px;
}

/*.table-container thead {*/
/*    font-family: Roboto;*/
/*    font-size: 14px;*/
/*    font-weight: 500;*/
/*    font-style: normal;*/
/*}*/

/*.table-container {*/
/*    overflow-x: auto;*/
/*}*/

.project-list-table {
    width: 100%;
    border-collapse: collapse; /* Zamyka przestrzeń między komórkami */
    margin-bottom: 10px;
}

.project-list-table th {
    background-color: #1E347B;
    height: 45px;
    color: white;
    text-align: center;
    padding: 10px 0;
}

.project-list-table tr {
    background-color: white;
    height: auto;
    color: black;
    text-align: center;
    vertical-align: center;
}

.project-list-table td {
    height: 100px;
}

.project-list-table tr:hover {
    background-color: #efefef;
}


.project-list-tr td {
    border: 1px solid #ddd; /* Ustawia cienkie obramowanie o grubości 1px */
    /*padding: 10px 10px 10px 20px; !* Dodaje odstęp wewnątrz komórek *!*/
    text-align: center; /* Ustawia wyrównanie tekstu w komórkach */
    height: auto;
}

.project-list-trk input {
    background: white;  /* Usuwa tło */
    border: solid 1px #8986A4;  /* Usuwa obramowanie */
    border-radius: 3px; /* Usuwa zaokrąglenie rogów */
    padding: 0px 5px;  /* Usuwa wewnętrzne odstępy */
    margin: 0;  /* Usuwa marginesy */
    box-shadow: none;   /* Usuwa cień */
    /*outline: none;  !* Usuwa obrys przy fokusu *!*/
    appearance: none;   /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;  /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    text-align: center;
}



/*!* Dodanie symbolu zaznaczenia, np. "✓" *!*/
/*.custom-checkbox input[type="checkbox"]:checked + .checkmark::after {*/
/*    content: '✓';*/
/*    color: white;*/
/*    position: absolute;*/
/*    top: 50%;*/
/*    left: 50%;*/
/*    transform: translate(-50%, -50%);*/
/*    font-size: 14px;*/
/*}*/

.custom-checkbox {
    padding: 10px 10px 10px 20px;
}

.checkmark-groupList-span {
    margin-left: 10px;
}

.th-td-width-wh1, .div-table-wh1 {
    width: 75px;
}

.th-td-width-w1, .div-table-w1 {
    width: 150px;
}

.th-td-width-w1-new, .div-table-w1-new {
    width: 75px;
}

.th-td-width-w2, .div-table-w2 {
    width: 200px;
}

.th-td-width-w3, .div-table-w3 {
    width: 300px;
}

.th-td-width-w6, .div-table-w6 {
    width: 600px;
}

.td-class-for-links {
    border: 0px; /* Ustawienie cienkiego obramowania */
    padding: 0px 20px;
}

.td-class-for-links a {
    display: inline-block;
    padding: 10px 20px;
    font-weight: 500;
    text-decoration: none;
    border-radius: 4px;
    font-size: 12px;
    text-align: center;
    margin: 5px; /* Usunięcie marginesu, aby nie wpływał na grubość obramowania */
    margin-right: 5px;
}

.project-group-div-w1 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 10%;
}

.project-group-div-w2 {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 10px;
    width: 65%;
    height: 100%;
    border-left: solid 1px lightgrey;
}

.project-group-div-w3 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 25%;
    height: 100%;
    border-left: solid 1px lightgrey;
}


/*tbody tr:nth-child(even) {*/
/*    background-color: #f7f7f7; !* Kolor tła dla parzystych wierszy *!*/
/*}*/

.project-pagination-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 20px;
}

.project-pagination-box span{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 40px;
    /*padding: 5px 10px;*/
    border: solid 1px gray;
    border-radius: 0px;
    margin-right: 5px;
    cursor: pointer;
}

.project-pagination-box span.active {
    border: solid 2px #c97003;
    font-weight: bold;
    text-decoration: underline;
}

.project-query-info {
    background-color: white;
    border: solid 1px lightgrey;
}

.additional-left-margin {
    margin-left: 20px;
}

.box-buttons-or-links {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding: 10px 20px 40px 20px;
    overflow: auto;
}

#user-project-access-form-box.user-project-access-form-box-cap {
    width: 100%
}

#targetDiv {
    padding-top: 30px ;
}

#save-project-access-form-box-button.save-project-access-form-box-button-cap, #cancel-project-access-form-box-button.cancel-project-access-form-box-button-cap {
    margin: 0px 10px 0px 0px;
}
#save-project-access-form-box-button.save-project-access-form-box-button-cap input, #cancel-project-access-form-box-button.cancel-project-access-form-box-button-cap input{
    border-radius: 5px;       /* Usuwa zaokrąglenie rogów */
    border:solid 1px #23527c;
    border-bottom: solid 2px #23527c;
    background-color: white;
    padding: 10px 25px;             /* Usuwa wewnętrzne odstępy */
    margin: 0;              /* Usuwa marginesy */
    box-shadow: none;       /* Usuwa cień */
    /*outline: none;          !* Usuwa obrys przy fokusu *!*/
    appearance: none;       /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;    /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    color: black;
    font-family: Poppins;
    font-size: 14px;
    font-weight: 500;
    width: auto;
    height: 40px;
    letter-spacing: 1px;

}

#save-project-access-form-box-button.save-project-access-form-box-button-cap input:hover, #cancel-project-access-form-box-button.cancel-project-access-form-box-button-cap input:hover {
    background-color: #23527c;
    color: white;
}

.project-subpage-object-info {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 10px 0px;
    padding: 15px;
    border: solid 1px #037ff6;
    border-radius: 5px;
    color: #024686;
}

.project-subpage-object-info-support {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    margin: 10px 0px;
    padding: 15px;
    border: solid 1px #037ff6;
    border-radius: 5px;
    color: #024686;
    gap: 10px
}

.psc-part-header {
    padding: 15px;
    border-bottom: solid 1px lightgrey;
}

/* Stylizowanie kontenera formularza */
.psc-form-container {
    display: flex;
    flex-direction: column;
    /*gap: 15px;*/
}

/* Każdy rekord jako wiersz */
.psc-form-row {
    display: flex;
    align-items: center;
    /*gap: 10px;*/
    height: 60px;
    border-bottom: solid 1px lightgrey;
    border-left: solid 1px lightgrey;
    border-right: solid 1px lightgrey;
}

.psc-form-div-border-right {
    border-right: solid 1px lightgrey;
}

/* Stylizowanie etykiet */
.psc-form-row label {
    /*margin-right: 10px;*/
    width: 80px;
}

/* Nagłówki kolumn */
.psc-form-header {
    width: 100%;
    /*font-weight: bold;*/
    display: flex;
    flex-direction: row;
    gap: 1px;
    background-color: white;
    height: auto;
}

.psc-form-header div {
    /*flex: 1;*/
    padding: 15px;
    background-color: #1E347B;
    color: white;
}

.psc-visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

.psc-no-records {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 20px;
    width: 100%;
}

.psc-no-records-info {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 10px;
    width: 100%;
    border: solid 1px #fad2a2;
    border-radius: 5px;
    /*color: #703c01;*/
    color: #703c01;
    font-weight: 500;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.psc-no-records-hidden {
    display: none;
}

.psc-no-records-show {
    display: block;
}

#tooltip {
    font-size: 12px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#notification {
    position: fixed;
    top: 10px;
    right: 10px;
    /*background-color: #28a745;*/
    color: white;
    /*padding: 10px; */
    border-radius: 5px;
    padding: 15px 30px 15px 30px;
    font-size: 14px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

/* Styl dla kontenera zakładek */
.new-project-tabs {
    margin: 0px;
    padding: 0;
    min-height: 500px;
}

/* Nagłówki zakładek */
.new-project-tabs ul {
    list-style-type: none;
    padding: 0;
    display: flex;
}

.new-project-tabs ul li {
    margin-right: 1px;
}

.new-project-tabs ul li a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    background-color: white;
    color: black;
    border: 0px solid #ccc;
}

.new-project-tabs ul li a:hover {
    border-bottom: solid 2px red;
    color: red;
}

.new-project-tabs ul li a.active {
    border-bottom: solid 2px #007bff;
    color: #007bff;
    font-weight: bold;
}

/* Styl dla treści zakładek */
.new-project-tab-content {
    display: none;
    padding: 20px;
    margin-top: 10px;
    border-radius: 5px;
}

.new-project-tab-content.active {
    display: block;
}

.new-project-tab-headers {
    padding: 15px 20px 0px 20px;
    overflow: auto;
}

.errorMessageBox {
    border: solid 1px red;
    border-radius: 5px;
    background: #ffecec;
    padding:15px 20px;
    color: #180000;
    margin: 0px 10px 20px 10px;
    font-weight: 500;
}

.section-box-tabs {

}

.container-project-list-table {
    overflow: auto;
    margin-bottom: 20px;
}

.box-replaced-by-header {
    padding: 5px 20px 20px 20px;
}

.box-replaced-by-table {
    padding: 0px 20px 20px 20px;
}

.box-replaced-by-select {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.progressNotes {
    padding: 20px;
}

.td-description {
    position: relative; /* Ustawienie jako kontekst pozycji dla przycisków */
}

.edit-area {
    width: 100%;
    height: 100px; /* Możesz dostosować wysokość w zależności od potrzeby */
    resize: vertical;
    padding-right: 10px; /* Dodatkowe miejsce na przyciski */
    border-radius: 5px;       /* Usuwa zaokrąglenie rogów */
    border:solid 1px #23527c;
    border-bottom: solid 2px #23527c;
    background-color: white;
    box-shadow: none;       /* Usuwa cień */
    /*outline: none;          !* Usuwa obrys przy fokusu *!*/
    appearance: none;       /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;    /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    color: black;
    font-family: Poppins;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 1px;
}

.button-container {
    position: absolute;
    bottom: 15px;
    right: 15px; /* Umieszcza przyciski w prawym górnym rogu */
    display: flex;
    flex-direction: row; /* Ustawienie przycisków w kolumnie */
    gap: 1px; /* Odstęp między przyciskami */
}

.save-btn, .cancel-btn {
    padding: 1px;
    /*background-color: #007bff;*/
    color: white;
    border: none;
    /*border-radius: 10px;*/
    cursor: pointer;
}

.save-btn:hover, .cancel-btn:hover {
    /*background-color: #0056b3;*/
}

.cancel-btn {
    /*background-color: #dc3545;*/
}

.cancel-btn:hover {
    /*background-color: #c82333;*/
}

.summary-box {
    margin: 10px 10px 30px 10px;
    border: solid 1px lightgrey;
    border-radius: 5px;
    padding: 20px 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    box-shadow: 1px 1px 6px rgba(182, 181, 181, 0.6);
}

.summary-box-item {

}

.project-box-info {
    margin: 5px 10px 20px 10px;
    border: solid 1px #BEE3F8;
    background-color: #BEE3F8;
    border-radius: 5px;
    padding: 20px 20px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    box-shadow: 1px 1px 6px rgba(182, 181, 181, 0.6);
}

.project-return-button-box {
    display: flex;
    justify-content: center;
}

.project-return-button-box button {
    border: solid 1px gray;
    border-radius: 3px;
    padding: 10px 10px;
    text-decoration: none;
    color: black;
}

.project-return-button-box button:hover {
    background-color: #eceaea;
    /*border: solid 2px gray;*/
}

.button-clear-format {
    margin: 0;              /* Usuwa marginesy */
    box-shadow: none;       /* Usuwa cień */
    /*outline: none;          !* Usuwa obrys przy fokusu *!*/
    appearance: none;       /* Usuwa domyślne stylizacje przeglądarki (np. WebKit) */
    -webkit-appearance: none; /* Usuwa domyślne stylizacje przeglądarki (Safari, Chrome) */
    -moz-appearance: none;    /* Usuwa domyślne stylizacje przeglądarki (Firefox) */
    /*letter-spacing: 1px;*/
}

.part-box-header {
    margin-top: 20px;
    padding: 20px;
}
.part-box-header h4 {
    font-size: 1.17em;
    font-weight: bold;
}

.item-value-multiselector {
    display: flex;
    flex-direction: row;
    width: 75%;
    min-height: 250px;
}

.select-box {
    display: flex;
    flex-direction: column;
    height: 250px;
    width: 30%;
}

.select-box select {
    width: 100%;
    height: 95%;
    background: white; /* Usuwa tło */
    margin: 0; /* Usuwa marginesy */
    box-shadow: none; /* Usuwa cień */
    border: solid 1px gray;
    border-radius: 5px;
    /*outline: none; !* Usuwa obrys przy fokusu *!*/
}

.select-box select:hover select:focus {
    border: solid 2px darkgreen;
}

.multi-selector-buttons {
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 5px;
    justify-content: center;
}

.multi-selector-option {
    height: auto;
    border: 0px;
    padding-left: 10px;
}

.actions-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.flaticon-delete-style {
    /*margin: 15px;*/
    /*font-size: 15px;*/

}

.flaticon-delete-style:hover {
    color: red; /* Przykład zmiany koloru */
    cursor: pointer; /* Zmiana kursora na wskazujący */
    font-weight: bold; /* Zmiana grubości tekstu */
}

.flaticon-box-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 5px 15px;
    color: #1c408a;
}

.item-error {
    color: red;
}

#form-input-text .item-error {
    width: 80%;
    margin: 5px;
}

.dataPicker-box {
    display: flex;
    flex-direction: row;
}

.view-records {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100px;
    width: 100%;
}

.beneficiaryCard-info {
    border: solid 1px grey;
    border-radius: 5px;
    margin: 5px;
    padding: 20px;
    /*text-decoration: underline;*/
}

.beneficiaryCard-info p {
    margin: 0px;
}


.card-form-box {
    margin-bottom: 20px;
}

.fieldset-class {
    border: 0px;
}

.fieldset-class legend {
    border: solid 1px grey;
    border-radius: 5px;
    margin: 5px;
    padding: 20px;
}

.fieldset-element {
    margin-left: 20px;
    padding-left: 10px;
}

.fieldset-element-2 {
    margin-left: 20px;
    padding-left: 10px;
    padding-top: 10px;
}

.fieldset-element-2 label {
    min-width: 200px;
}

.fieldset-element-2 select, .fieldset-element-2 input {
    border: solid 1px lightgrey;
    border-radius: 5px;
    height: 40px;
    width: 300px;
    background: white; /* Usuwa tło */
    margin: 0; /* Usuwa marginesy */
    box-shadow: none; /* Usuwa cień */
    /*outline: none; !* Usuwa obrys przy fokusu *!*/
}

.fieldset-element-2 select:hover, .fieldset-element-2 input:hover {
    border: solid 2px darkgreen;
}

.field-required-info {
    color: red;
    padding-left: 10px;
}

@media (max-width: 1320px) {
    .project-menu {
        width: 30%;
    }

    .project-subpage {
        border-left: 0px;
        width: 70%;
    }
    .search-form-group-elements {
        display: flex;
        flex-direction: column;
    }

    .search-form-element-button {
        margin-top: 20px;
    }
}

@media (max-width: 1200px) {

}

@media (max-width: 960px) {

    .project-header {
        display: flex;
        flex-direction: column;
        border-bottom: solid 1px #dedede;
        align-items: center;
    }

    .project-menu {
        width: 30%;
    }

    .project-subpage {
        border-left: 0px;
        width: 70%;
    }

}

@media (max-width: 860px) {

}

@media (max-width: 760px) {

    .project-header {
        padding: 10px;
    }

    .project-body {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .project-menu {
        padding: 0;
        width: 90%;
    }

    .project-subpage {
        margin-top: 20px;
        border-left: 0px;
        width: 90%;
        padding: 0;
    }

    .project-view-buttons {
        display: flex;
        flex-direction: column;
        margin-left: 15px;
    }

    .project-table-row {
        display: flex;
        flex-direction: column;
        /*align-items: center;*/
        /*min-height: 50px;*/
    }

    .project-table-inside-row {
        display: flex;
        flex-direction: column;
        align-items: start;
    }

    .content-project-table {
        padding: 20px 0px;
    }

    .row-title {
        padding: 10px 20px;
        width: 100%;
        height: 100%;
        /*border-right: solid 2px white;*/
    }

    .row-content {
        padding: 0px 20px 10px 20px;
        width: 100%;
    }
}


/*#beneficiaryNotSelected-element, #employeeNotSelected-element {*/
/*    float:left*/
/*}*/

/*#to2Employee, #allTo2Employee, #to1Employee, #allTo1Employee {*/
/*    float:left;*/
/*    !*margin-top:10px;*!*/
/*    width: 30px*/
/*}*/

/*#employeeSelected-element {*/
/*    float:left*/
/*}*/

/*#to2Beneficiary, #allTo2Beneficiary, #to1Beneficiary, #allTo1Beneficiary {*/
/*    float:left;*/
/*    !*margin-top:10px;*!*/
/*    width: 30px*/
/*}*/

/*#beneficiarySelected-element {*/
/*    float:left*/
/*}*/

/*#employee_options-element, #beneficiary_options-element {*/
/*    clear:both*/
/*}*/

/*#employee_options-label, #beneficiary_options-label {*/
/*    display:none;*/
/*}*/

/*#beneficiary_options-element select, #employee_options-element select {*/
/*    width:200px;*/
/*    height:70px*/
/*}*/

/*#box1ViewEmployee, #box2ViewEmployee, #box1ViewBeneficiary, #box2ViewBeneficiary {*/
/*    height:180px;*/
/*}*/

/*#registersupportform label {*/
/*    width: 155px;*/
/*    float:left*/
/*}*/

/*#registersupportform .buttons {*/
/*    float:left;*/
/*    width:30px;*/
/*    padding:10px*/
/*}*/

/*#registersupportform .dualLists {*/
/*    height: 190px*/
/*}*/

/*#registersupportform .dualLists div {*/
/*    float:left*/
/*}*/

/*#registersupportform .smallField {*/
/*    padding-bottom: 9px;*/
/*}*/

/*#registersupportform #clone {*/
/*//height: 40px;*/
/*    width: 140px !important;*/
/*}*/

/*#registersupportform #cloneDiv {*/
/*    background-color: #e7e7e7; //background-color: #e0e0e0;*/
/*    margin-bottom: 20px;*/
/*    height: 30px;*/
/*    padding-top: 5px;*/
/*    padding-bottom: 5px;*/
/*}*/

/*#registersupportform .uncloneX {*/
/*    cursor: pointer;*/
/*    display: inline;*/
/*    padding-left: 10px;*/
/*    padding-right: 10px;*/
/*    color: #ff0033;*/
/*    font-weight: bolder;*/
/*}*/

.hideDate {
    display: none;
}

/*#registersupportform #actions {*/
/*    !*padding-left:150px*!*/
/*}*/

/*#registersupportform .actions {*/
/*    !*padding-left:150px*!*/
/*}*/